<!doctype html>

<html>
<head>
  <link rel="shortcut icon" href="static/images/favicon.ico" type="image/x-icon">
  <title>deps.js (Closure Library API Documentation - JavaScript)</title>
  <link rel="stylesheet" href="static/css/base.css">
  <link rel="stylesheet" href="static/css/doc.css">
  <link rel="stylesheet" href="static/css/sidetree.css">
  <link rel="stylesheet" href="static/css/prettify.css">

  <script>
     var _staticFilePath = "static/";
     var _typeTreeName = "goog";
     var _fileTreeName = "Source";
  </script>

  <script src="static/js/doc.js">
  </script>


  <meta charset="utf8">
</head>

<body onload="grokdoc.onLoad();">

<div id="header">
  <div class="g-section g-tpl-50-50 g-split">
    <div class="g-unit g-first">
      <a id="logo" href="index.html">Closure Library API Documentation</a>
    </div>

    <div class="g-unit">
      <div class="g-c">
        <strong>Go to class or file:</strong>
        <input type="text" id="ac">
      </div>
    </div>
  </div>
</div>

<div class="clear"></div>

<h2><a href="local_closure_goog_demos_editor_deps.js.html">deps.js</a></h2>

<pre class="prettyprint lang-js">
<a name="line1"></a>// Copyright 2009 The Closure Library Authors.
<a name="line2"></a>// All Rights Reserved.
<a name="line3"></a>//
<a name="line4"></a>// Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
<a name="line5"></a>// you may not use this file except in compliance with the License.
<a name="line6"></a>// You may obtain a copy of the License at
<a name="line7"></a>//
<a name="line8"></a>//      http://www.apache.org/licenses/LICENSE-2.0
<a name="line9"></a>//
<a name="line10"></a>// Unless required by applicable law or agreed to in writing, software
<a name="line11"></a>// distributed under the License is distributed on an &quot;AS-IS&quot; BASIS,
<a name="line12"></a>// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
<a name="line13"></a>// See the License for the specific language governing permissions and
<a name="line14"></a>// limitations under the License.
<a name="line15"></a>//
<a name="line16"></a>// This file has been auto-generated by GenJsDeps, please do not edit.
<a name="line17"></a>
<a name="line18"></a>goog.addDependency(&#39;demos/editor/equationeditor.js&#39;, [&#39;goog.demos.editor.EquationEditor&#39;], [&#39;goog.ui.equation.EquationEditorDialog&#39;]);
<a name="line19"></a>goog.addDependency(&#39;demos/editor/helloworld.js&#39;, [&#39;goog.demos.editor.HelloWorld&#39;], [&#39;goog.dom&#39;, &#39;goog.dom.TagName&#39;, &#39;goog.editor.Plugin&#39;]);
<a name="line20"></a>goog.addDependency(&#39;demos/editor/helloworlddialog.js&#39;, [&#39;goog.demos.editor.HelloWorldDialog&#39;, &#39;goog.demos.editor.HelloWorldDialog.OkEvent&#39;], [&#39;goog.dom.TagName&#39;, &#39;goog.events.Event&#39;, &#39;goog.string&#39;, &#39;goog.ui.editor.AbstractDialog&#39;, &#39;goog.ui.editor.AbstractDialog.Builder&#39;, &#39;goog.ui.editor.AbstractDialog.EventType&#39;]);
<a name="line21"></a>goog.addDependency(&#39;demos/editor/helloworlddialogplugin.js&#39;, [&#39;goog.demos.editor.HelloWorldDialogPlugin&#39;, &#39;goog.demos.editor.HelloWorldDialogPlugin.Command&#39;], [&#39;goog.demos.editor.HelloWorldDialog&#39;, &#39;goog.dom.TagName&#39;, &#39;goog.editor.plugins.AbstractDialogPlugin&#39;, &#39;goog.editor.range&#39;, &#39;goog.functions&#39;, &#39;goog.ui.editor.AbstractDialog.EventType&#39;]);
</pre>


</body>
</html>
